import type { UmbDocumentBlueprintOptionsCreateModalData, UmbDocumentBlueprintOptionsCreateModalValue } from './constants.js';
import { UmbModalBaseElement } from '../../../../../core/modal/index.js';
export declare class UmbDocumentBlueprintOptionsCreateModalElement extends UmbModalBaseElement<UmbDocumentBlueprintOptionsCreateModalData, UmbDocumentBlueprintOptionsCreateModalValue> {
    #private;
    private _parentName?;
    connectedCallback(): Promise<void>;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbDocumentBlueprintOptionsCreateModalElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-document-blueprint-create-options-modal': UmbDocumentBlueprintOptionsCreateModalElement;
    }
}
